# BarcodeFormatPharmaCodeTwoTrackConfiguration class

PHARMA_CODE_TWO_TRACK barcode configuration. Add to scanner configuration to scan Laetus two-track PharmaCode barcodes. Linear (i.e. one-track) PharmaCode scanning is configured separately through the PharmaCodeConfig class.

Inheritance
  - Object
  - BarcodeFormatConfigurationBase
  - BarcodeFormatFourStateConfigurationBase
  - BarcodeFormatPharmaCodeTwoTrackConfiguration

## Constructors

BarcodeFormatPharmaCodeTwoTrackConfiguration({String regexFilter = "", double minimumSizeScore = 0.0, bool addAdditionalQuietZone = false, int minimumValue = 364})
BarcodeFormatPharmaCodeTwoTrackConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

addAdditionalQuietZone ↔ bool
  If true, we process the barcode scanning with an artificial quiet zone that we add to the input image. This flag should be used to scan sharp crops of a barcode in single-shot mode.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
minimumSizeScore ↔ double
  Minimum acceptable value of a result BarcodeItem's sizeScore (between 0 and 1). Barcodes with a sizeScore less than this value will not be scanned. When set to 0, barcodes are returned no matter what their size is.
  getter/setter pair inherited
minimumValue ↔ int
  Minimum value for PHARMA_CODE_TWO_TRACK. Very low values are likely to produce more false positives.
  getter/setter pair
regexFilter ↔ String
  Regular expression filter for barcode text. If the barcode text does not match the regular expression, it will not be scanned. The default is an empty string (setting is turned off).
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited